#
# Conditional build:
%bcond_with	tests	# do perform "make test"
#
%define		pdir	X11
%define		pnam	GUITest
Summary:	X11::GUITest - GUI testing/interaction facilities
Summary(pl.UTF-8):	X11::GUITest - ułatwienia do testowania/interakcji z GUI
Name:		perl-X11-GUITest
Version:	0.25
Release:	16
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/X11/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c2ea2418a5cef380e260dce9230c1d8b
URL:		http://search.cpan.org/dist/X11-GUITest/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl package is intended to facilitate the testing of GUI
applications by means of user emulation. It can be used to
test/interact with GUI applications which have been built upon the X
library or toolkits (i.e., GTK+, Xt, Qt, Motif, etc.) that "wrap" the
X library's functionality.

%description -l pl.UTF-8
Ten pakiet Perla ma ułatwić testowanie aplikacji z graficznym
interfejsem użytkownika drogą emulacji użytkownika. Może być używany
do testowania lub interakcji z aplikacjami GUI opartymi o bibliotekę X
lub toolkity (takie jak GTK+, Xt, Qt, Motif itp.) obudowujące
funkcjonalność biblioteki X.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcppflags} %{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{Changes,ToDo,X11-GUITest*}
%dir %{perl_vendorarch}/X11
%{perl_vendorarch}/X11/GUITest.pm
%dir %{perl_vendorarch}/auto/X11
%dir %{perl_vendorarch}/auto/X11/GUITest
%attr(755,root,root) %{perl_vendorarch}/auto/X11/GUITest/GUITest.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-X11-GUITest.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 0b068db
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 98cf3a6
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> ffcf2b1
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5937f41
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 0990ae1
- rebuild with perl 5.32

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 5f62b1a
- pass cflags

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b702c8d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 967e95a
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> f4a2042
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bc76d48
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4d08546
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 00597c2
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7b2b2a0
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 190222f
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 355b40e
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b63efe0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 206983d
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 09388a5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 4094e10
- up to 0.25

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 53a6e9a
- release 4

